Ownership and events
US Corporate Events
Call GET /us/corporate-events on the Corpus API.
GET /us/corporate-events
Call GET /us/corporate-events on the Corpus API.
Category: US · events
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| ticker | query | no | string | null | — | — |
| issuer_cik | query | no | string | null | — | — |
| item_number | query | no | string | null | — | — |
| start_date | query | no | string (date) | null | — | — |
| end_date | query | no | string (date) | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 100; min 1; max 1000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/corporate-events?ticker=AAPL&limit=100' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | CorporateEventsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"events": [
{
"accession_number": "0000320193-25-000079",
"issuer_cik": "string",
"filing_type": "10-K",
"item_number": "string",
"item_name": "string",
"text": "string",
"knowledge_time": "2025-12-31T23:59:59Z",
"issuer_ticker": "string",
"event_date": "2025-12-31",
"filing_datetime": "2025-12-31T23:59:59Z",
"source_offsets": {},
"parser_version": "string",
"source_id": "sec_edgar"
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}